Log.h File Reference
`#include "Message.h"`
`#include "Mutex.h"`
`#include "SessionSettings.h"`
`#include <map>`
`#include <vector>`
Include dependency graph for Log.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | FIX::LogFactory
| This interface must be implemented to create a Log. More...
class | FIX::ScreenLogFactory
| Creates a screen based implementation of Log. More...
class | FIX::Log
| This interface must be implemented to log messages and events. More...
class | FIX::NullLog
| Null implementation of Log. More...
class | FIX::ScreenLog
| Screen based implementation of Log. More...

## Namespaces

| FIX